Subject: bug#41791: closed (Re: bug#41791: [Shepherd] loses track of Tor)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Jan 2023 14:15:01 +0000

Your bug report

#41791: [Shepherd] loses track of Tor

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41791: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=41791
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41791: [Shepherd] loses track of Tor
From: Ludovic Courtès <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked]
Date: Thu, 12 Jan 2023 15:14:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Tobias,

Tobias Geerinckx-Rice <[email-masked]> skribis:

> ~ λ while :; do sudo herd restart tor; done
> Service tor is not running.
> Service tor has been started.
> Service tor has been stopped.
> Service tor could not be started.
> Service tor is not running.
> Service tor could not be started.
> ^C
> ~ λ pgrep tor
> 22926
> 23004

I don’t see that happening with the Shepherd 0.9.3.  I believe this was
fixed by making ‘stop’ synchronous:

  https://issues.guix.gnu.org/58485

Closing!

Ludo’.

Subject: [Shepherd] loses track of Tor
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Date: Wed, 10 Jun 2020 17:20:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

All,

--8<---------------cut here---------------start------------->8---
~ λ while :; do sudo herd restart tor; done
Service tor is not running.
Service tor has been started.
Service tor has been stopped.
Service tor could not be started.
Service tor is not running.
Service tor could not be started.
^C
~ λ pgrep tor
22926
23004
--8<---------------cut here---------------end--------------->8---

This has (this year) happened to nginx in tight edit.conf/restart 
loops too, but I can't say if the two are at all related.

Here's the output of ‘herd status’ but it's not very useful to me:

--8<---------------cut here---------------start------------->8---
λ sudo herd status
Started:
 + dovecot
 + file-system-/dev/pts
 + file-system-/dev/shm
 + file-system-/gnu/store
 + file-systems
 + guix-daemon
 + loopback
 + mcron
 + networking
 + nginx
 + root
 + root-file-system
 + smtpd
 + ssh-daemon
 + syslogd
 + term-tty1
 + udev
 + urandom-seed
 + user-file-systems
 + user-processes
 + virtual-terminal
Stopped:
 - tor
One-shot:
 * host-name
 * user-homes
--8<---------------cut here---------------end--------------->8---

He looks guilty:

--8<---------------cut here---------------start------------->8---
λ sudo cat /var/run/tor/tor.pid
cat: /var/run/tor/tor.pid: No such file or directory
--8<---------------cut here---------------end--------------->8---

From ps auxwww:

--8<---------------cut here---------------start------------->8---
~ λ head -n6 /gnu/store/5ivhkbd0pzhnnmk38yn7cygcyd02kkk5-torrc
### These lines were generated from your system configuration:
User tor
DataDirectory /var/lib/tor
PidFile /var/run/tor/tor.pid
Log notice syslog
### End of automatically generated lines.
--8<---------------cut here---------------end--------------->8---

No contradictory lines added.

Kind regards,

T G-R